Index: LMDZ6/trunk/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotrac_routines_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/isotrac_routines_mod.F90	(revision 4143)
@@ -8,4 +8,5 @@
 ! isotopes_verif a besoin de isotopes et isotrac
 ! isotrac n'a besoin que de isotopes
+    USE infotrac_phy, ONLY: ntraciso=>ntiso, niso, index_trac=>itZonIso, ntraceurs_zone=>nzone
 IMPLICIT NONE
 
@@ -17,5 +18,4 @@
      &           ncum,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 
@@ -63,5 +63,4 @@
      &          xtp_avantevap_cas,liq,hdiag)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau,iso_HDO,ridicule_evap
     USE isotrac_mod, only: option_revap,evap_franche,izone_revap, &
@@ -231,5 +230,4 @@
      &    nloc,ncum,nd,i,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: iso_eau
 #ifdef ISOVERIF        
@@ -320,5 +318,4 @@
      &    nloc,ncum,nd,i,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: iso_eau
 #ifdef ISOVERIF
@@ -408,5 +405,4 @@
      &    nloc,ncum,nd,i,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -476,5 +472,4 @@
      &    nloc,ncum,nd,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -643,5 +638,4 @@
      &    nloc,ncum,nd,i,frac_sublim,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -802,5 +796,4 @@
      &       xtrevap_tag,liq,hdiag)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
     USE isotrac_mod, only: option_revap,evap_franche
@@ -899,5 +892,4 @@
      &       klon,izone,ptrac)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -986,5 +978,4 @@
      &       klon,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -1052,6 +1043,4 @@
      &    klon,izone,zxt,xtrevap_tag)
 
-USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 #ifdef ISOVERIF
 USE isotopes_verif_mod
@@ -1342,5 +1331,5 @@
 
       subroutine find_bassin(lat,lon,bassin)
-      use isotrac_mod, only: izone_poubelle,ntraceurs_zone,option_traceurs, &
+      use isotrac_mod, only: izone_poubelle,ntraceurs_zone=>ntiso,option_traceurs, &
 &        bassin_map
 #ifdef ISOVERIF
@@ -1517,6 +1506,4 @@
         subroutine isotrac_recolorise_tmin(xt,t)
         USE dimphy, only: klon, klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         USE isotrac_mod, only: zone_temp,nzone_temp
 #ifdef ISOVERIF
@@ -1603,6 +1590,4 @@
         subroutine isotrac_recolorise_tmin_sfrev(xt,t)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         USE isotrac_mod, only: nzone_temp,zone_temp
 #ifdef ISOVERIF
@@ -1661,6 +1646,4 @@
         subroutine isotrac_recolorise_saturation(xt,rh,lat,pres)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1727,6 +1710,4 @@
         subroutine isotrac_recolorise_boite(xt,boite_map)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1781,6 +1762,4 @@
         subroutine isotrac_recolorise_extra(xt,rlat)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         usE isotrac_mod, only: lim_tag20,izone_trop,izone_extra
 #ifdef ISOVERIF
@@ -1830,6 +1809,4 @@
         subroutine isotrac_recolorise_conv(xt,rlat,presnivs,rain_con)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         use isotrac_mod, only: lim_precip_tag22, &
 &       izone_conv_BT,izone_conv_UT
@@ -1902,6 +1879,4 @@
         subroutine boite_AMMA_init(lat,lon,presnivs,boite_map)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1957,6 +1932,4 @@
         subroutine boite_UT_extra_init(lat,lon,presnivs,boite_map)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         use isotrac_mod, only: izone_extra,izone_trop
 #ifdef ISOVERIF
@@ -2095,6 +2068,4 @@
      &           seuil_in)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         USE isotopes_mod, only: bidouille_anti_divergence,iso_eau
         use isotrac_mod, only: option_seuil_tag_tmin,izone_cond, &
@@ -2304,6 +2275,4 @@
         subroutine bassin_map_init_opt20(lat,bassin_map)
         USE dimphy, only: klon
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         use isotrac_mod, only: izone_cont,izone_trop,lim_tag20
 #ifdef ISOVERIF
@@ -2334,5 +2303,4 @@
         USE geometry_mod, ONLY : latitude_deg
         USE dimphy, only: klon,klev
-        use infotrac_phy, only: ntraciso
         use isotrac_mod, only: option_traceurs,boite_map
         implicit none
@@ -2365,6 +2333,5 @@
         subroutine iso_verif_traceur_jbid_vect(x,n,m)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso
-        use isotrac_mod, only: ntraceurs_zone
+        use isotrac_mod, only: ntraceurs_zone=>nzone
         implicit none
         
@@ -2430,5 +2397,4 @@
         subroutine iso_verif_traceur_jbidouille(x)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
         implicit none
         
@@ -2470,5 +2436,4 @@
         subroutine iso_verif_traceur_jbid_pos(x)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
 !#ifdef ISOVERIF
 !        use isotopes_verif_mod, only: iso_verif_traceur_pbidouille
@@ -2544,5 +2509,4 @@
         subroutine iso_verif_traceur_jbid_pos_vect(n,m,x)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -2625,5 +2589,4 @@
         subroutine iso_verif_traceur_jbid_pos2(x,q)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
 #ifdef ISOVERIF
         use isotopes_verif_mod
@@ -2696,5 +2659,4 @@
         subroutine iso_verif_traceur_jbid_vect1D(x,n)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
         implicit none
         
@@ -2739,5 +2701,4 @@
 
         subroutine iso_verif_traceur_pbidouille(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotopes_verif_mod
         implicit none
@@ -2765,5 +2726,4 @@
 
         function iso_verif_traceur_pbid_ns(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
         use isotrac_mod, only: ridicule_trac
@@ -2828,5 +2788,4 @@
 
         subroutine iso_verif_traceur_pbid_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
         use isotopes_verif_mod
Index: LMDZ6/trunk/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/limit_read_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/limit_read_mod.F90	(revision 4143)
@@ -281,5 +281,4 @@
     USE indice_sol_mod
 #ifdef ISO
-    !USE infotrac_phy, ONLY: use_iso
     USE isotopes_mod, ONLY : iso_HTO,ok_prod_nucl_tritium
 #ifdef ISOVERIF
Index: LMDZ6/trunk/libf/phylmdiso/ocean_forced_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/ocean_forced_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/ocean_forced_mod.F90	(revision 4143)
@@ -42,5 +42,5 @@
     use config_ocean_skin_m, only: activate_ocean_skin
 #ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso,niso
+  USE infotrac_phy, ONLY: ntiso,niso
     USE isotopes_routines_mod, ONLY: calcul_iso_surf_oce_vectall, &
 &       calcul_iso_surf_sic_vectall    
@@ -73,6 +73,6 @@
 
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtprecip_rain, xtprecip_snow
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtspechum
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)  :: xtprecip_rain, xtprecip_snow
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)  :: xtspechum
     real, dimension(klon), intent(IN) :: rlat
 #endif
@@ -98,5 +98,5 @@
 
 #ifdef ISO     
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)    :: xtevap ! isotopes in evaporation flux
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT) :: xtevap ! isotopes in evaporation flux
     REAL, DIMENSION(klon), INTENT(out)    :: h1 ! just a diagnostic, not useful for the simulation
 #endif
@@ -271,5 +271,5 @@
     USE phys_output_var_mod, ONLY : sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
 #ifdef ISO
-  USE infotrac_phy, ONLY: niso,ntraciso
+  USE infotrac_phy, ONLY: niso, ntiso
     USE isotopes_routines_mod, ONLY: calcul_iso_surf_oce_vectall, &
 &       calcul_iso_surf_sic_vectall 
@@ -303,8 +303,8 @@
     real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtprecip_rain, xtprecip_snow
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtspechum
-    REAL, DIMENSION(niso,klon), INTENT(IN)    :: Roce 
-    REAL, DIMENSION(niso,klon), INTENT(IN)        :: Rland_ice
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)    :: xtprecip_rain, xtprecip_snow
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)    :: xtspechum
+    REAL, DIMENSION(niso,klon),  INTENT(IN)    :: Roce 
+    REAL, DIMENSION(niso,klon),  INTENT(IN)    :: Rland_ice
 #endif
 
@@ -330,5 +330,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)            :: dflux_s, dflux_l      
 #ifdef ISO     
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)    :: xtevap
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT)    :: xtevap
 #endif      
 
Index: LMDZ6/trunk/libf/phylmdiso/pbl_surface_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/pbl_surface_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/pbl_surface_mod.F90	(revision 4143)
@@ -31,4 +31,7 @@
                                   wx_pbl_check, wx_pbl_dts_check, wx_evappot
   use config_ocean_skin_m, only: activate_ocean_skin
+#ifdef ISO
+  USE infotrac_phy, ONLY: niso,ntraciso=>ntiso    
+#endif
 
   IMPLICIT NONE
@@ -193,5 +196,4 @@
     USE indice_sol_mod
     USE print_control_mod, ONLY: lunout
-  USE infotrac_phy, ONLY: niso,ntraciso ! ajout C Risi pour isos  
 #ifdef ISOVERIF
     USE isotopes_mod, ONLY: iso_eau,ridicule
@@ -395,5 +397,4 @@
     USE print_control_mod,  ONLY : prt_level,lunout
 #ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso,niso ! ajout C Risi pour isos    
   USE isotopes_mod, ONLY: Rdefault,iso_eau
 #ifdef ISOVERIF
@@ -4051,5 +4052,4 @@
     USE indice_sol_mod
 #ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso,niso ! ajout C Risi pour isos  
 #ifdef ISOVERIF
     USE isotopes_mod, ONLY: iso_eau,ridicule
@@ -4130,7 +4130,4 @@
     use phys_state_var_mod, only: delta_sal, ds_ns, dt_ns, delta_sst
     use config_ocean_skin_m, only: activate_ocean_skin
-#ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso    
-#endif
 
 
Index: LMDZ6/trunk/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 4143)
@@ -39,5 +39,5 @@
   USE iostart, ONLY: open_restartphy, close_restartphy, enddef_restartphy, put_field, put_var
   USE traclmdz_mod, ONLY : traclmdz_to_restart
-  USE infotrac_phy, ONLY: type_trac, nqtot, tracers, nbtr, niso, ntraciso
+  USE infotrac_phy, ONLY: type_trac, nqtot, tracers, nbtr, niso
 #ifdef ISO
 #ifdef ISOVERIF
@@ -485,5 +485,5 @@
         xtrain_fall,xtsnow_fall, ql_ancien,xtl_ancien,qs_ancien,xts_ancien, &
         xtsol,fxtevap
-      USE infotrac_phy,ONLY: niso, ntraciso
+      USE infotrac_phy,ONLY: niso, ntiso
       !USE control_mod
       USE indice_sol_mod, ONLY: nbsrf
@@ -509,5 +509,5 @@
       !REAL xtsol(niso,klon)
       REAL xtsnow(niso,klon,nbsrf) 
-      !REAL xtevap(ntraciso,klon,nbsrf)     
+      !REAL xtevap(ntiso,klon,nbsrf)     
       REAL xtrun_off_lic_0(niso,klon)
       REAL Rland_ice(niso,klon)
@@ -566,5 +566,5 @@
 #endif
 
-   do ixt=1,ntraciso
+   do ixt=1,ntiso
 
      if (ixt.le.niso) then
@@ -576,5 +576,5 @@
         outiso=striso(iiso)//strtrac(izone)
 #else
-        write(*,*) 'phyredem 546: ixt,ntraciso=', ixt,ntraciso
+        write(*,*) 'phyredem 546: ixt,ntiso=', ixt,ntiso
         stop
 #endif
Index: LMDZ6/trunk/libf/phylmdiso/phys_local_var_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phys_local_var_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/phys_local_var_mod.F90	(revision 4143)
@@ -726,5 +726,5 @@
 USE infotrac_phy, ONLY : nbtr
 #ifdef ISO
-USE infotrac_phy, ONLY : ntraciso,niso
+USE infotrac_phy, ONLY : ntraciso=>ntiso,niso
 #endif
 USE aero_mod
Index: LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90	(revision 4143)
@@ -35,5 +35,5 @@
     USE iophy 
     USE dimphy
-    USE infotrac_phy, ONLY: nqtot, tracers, type_trac, niso, ntraciso
+    USE infotrac_phy, ONLY: nqtot, tracers, type_trac, niso, ntraciso=>ntiso
     USE strings_mod,  ONLY: maxlen
     USE ioipsl
Index: LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 4143)
@@ -39,6 +39,5 @@
     USE ioipsl_getin_p_mod, ONLY : getin_p
     USE indice_sol_mod
-    USE infotrac, ONLY: iso_num, iso_indnum
-    USE infotrac_phy, ONLY: nqtot, nbtr, nqo, tracers, type_trac, nqCO2, indnum_fn_num
+    USE infotrac_phy, ONLY: nqtot, nbtr, nqo, tracers, type_trac, nqCO2
     USE readTracFiles_mod, ONLY: addPhase
     USE strings_mod,  ONLY: strIdx, strStack, int2str
@@ -126,5 +125,5 @@
 
 #ifdef ISO
-    USE infotrac_phy, ONLY: iqiso,niso, ntraciso, nzone
+    USE infotrac_phy, ONLY: iqIsoPha,niso, ntraciso=>ntiso, nzone
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,iso_O18,iso_O17,iso_HTO, &
         & bidouille_anti_divergence,ok_bidouille_wake, &
@@ -509,13 +508,7 @@
     !======================================================================
     !
-    INTEGER ivap          ! indice de traceurs pour vapeur d'eau
-    PARAMETER (ivap=1)
-    INTEGER iliq          ! indice de traceurs pour eau liquide
-    PARAMETER (iliq=2)
-    !CR: on ajoute la phase glace
-    INTEGER isol          ! indice de traceurs pour eau glace
-    PARAMETER (isol=3)
-    INTEGER irneb         ! indice de traceurs pour fraction nuageuse LS (optional)
-    PARAMETER (irneb=4)   
+    ! indices de traceurs eau vapeur, liquide, glace, fraction nuageuse LS (optional)
+    INTEGER,SAVE :: ivap, iliq, isol, irneb
+!$OMP THREADPRIVATE(ivap, iliq, isol, irneb)
     !
     !
@@ -1354,4 +1347,8 @@
 
     IF (first) THEN 
+       ivap = strIdx(tracers(:)%name, addPhase('H2O', 'g'))
+       iliq = strIdx(tracers(:)%name, addPhase('H2O', 'l'))
+       isol = strIdx(tracers(:)%name, addPhase('H2O', 's'))
+       irneb= strIdx(tracers(:)%name, addPhase('H2O', 'r'))
        CALL init_etat0_limit_unstruct
        IF (.NOT. create_etat0_limit) CALL init_limit_read(days_elapsed)
@@ -2412,19 +2409,19 @@
     do ixt=1,ntraciso
 #ifdef ISOVERIF
-      write(*,*) 'physiq tmp 1762a: ixt,iqiso_vap=',ixt,iqiso(ixt,ivap)
-      write(*,*) 'physiq tmp 1762b: ixt,iqiso_liq=',ixt,iqiso(ixt,iliq)
+      write(*,*) 'physiq tmp 1762a: ixt,iqiso_vap=',ixt,iqIsoPha(ixt,ivap)
+      write(*,*) 'physiq tmp 1762b: ixt,iqiso_liq=',ixt,iqIsoPha(ixt,iliq)
       if (nqo.eq.3) then  
-        write(*,*) 'physiq tmp 1762c: ixt,iqiso_liq=',ixt,iqiso(ixt,iliq)
+        write(*,*) 'physiq tmp 1762c: ixt,iqiso_liq=',ixt,iqIsoPha(ixt,iliq)
       endif !if (nqo.eq.3) then
 #endif
-      if (ixt.gt.niso) write(*,*) 'izone=',tracers(iqiso(ixt,ivap))%iso_iZone 
+      if (ixt.gt.niso) write(*,*) 'izone=',tracers(iqIsoPha(ixt,ivap))%iso_iZone 
       DO k = 1, klev
        DO i = 1, klon
-          xt_seri(ixt,i,k)  = qx(i,k,iqiso(ixt,ivap))
-          xtl_seri(ixt,i,k) = qx(i,k,iqiso(ixt,iliq))
+          xt_seri(ixt,i,k)  = qx(i,k,iqIsoPha(ixt,ivap))
+          xtl_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,iliq))
           if (nqo.eq.2) then
              xts_seri(ixt,i,k) = 0.
           else if (nqo.eq.3) then
-             xts_seri(ixt,i,k) = qx(i,k,iqiso(ixt,isol))
+             xts_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,isol))
           endif
        enddo !DO i = 1, klon
@@ -3032,5 +3029,4 @@
       ! verif iso_eau
       !write(*,*) 'physiq tmp 2748: iso_eau=',iso_eau
-      !write(*,*) 'use_iso=',use_iso
       !write(*,*) 'iso_eau.gt.0=',iso_eau.gt.0
       !write(*,*) 'd_xt_vdf(iso_eau,1,1),d_q_vdf(1,1)=',d_xt_vdf(iso_eau,1,1),d_q_vdf(1,1)
@@ -6496,10 +6492,10 @@
       DO k = 1, klev
        DO i = 1, klon
-          iq=iqiso(ixt,ivap)
+          iq=iqIsoPha(ixt,ivap)
           d_qx(i,k,iq) = ( xt_seri(ixt,i,k) - qx(i,k,iq) ) / phys_tstep
-          iq=iqiso(ixt,iliq)
+          iq=iqIsoPha(ixt,iliq)
           d_qx(i,k,iq) = ( xtl_seri(ixt,i,k) - qx(i,k,iq) ) / phys_tstep
           if (nqo.eq.3) then
-             iq=iqiso(ixt,isol)
+             iq=iqIsoPha(ixt,isol)
              d_qx(i,k,iq) = ( xts_seri(ixt,i,k) - qx(i,k,iq) ) / phys_tstep
           endif
Index: LMDZ6/trunk/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/reevap.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/reevap.F90	(revision 4143)
@@ -9,5 +9,5 @@
     USE add_phys_tend_mod, only : fl_cor_ebil 
 #ifdef ISO
-    USE infotrac_phy, ONLY: ntraciso   
+    USE infotrac_phy, ONLY: ntiso   
 #ifdef ISOVERIF
     USE isotopes_verif_mod
@@ -30,6 +30,6 @@
 
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon,klev), INTENT(in) :: xt_seri,xtl_seri,xts_seri
-    REAL, DIMENSION(ntraciso,klon,klev), INTENT(out) :: d_xt_eva,d_xtl_eva,d_xts_eva
+    REAL, DIMENSION(ntiso,klon,klev), INTENT(in) :: xt_seri,xtl_seri,xts_seri
+    REAL, DIMENSION(ntiso,klon,klev), INTENT(out) :: d_xt_eva,d_xtl_eva,d_xts_eva
     integer ixt
 #endif
@@ -76,12 +76,12 @@
 
 #ifdef ISO
-         do ixt=1,ntraciso
+         do ixt=1,ntiso
             zb = MAX(0.0,xtl_seri(ixt,i,k))
             d_xt_eva(ixt,i,k) = zb
             d_xtl_eva(ixt,i,k) = -xtl_seri(ixt,i,k)
             d_xts_eva(ixt,i,k) = 0.
-         enddo ! do ixt=1,ntraciso
+         enddo
 #ifdef ISOVERIF
-      do ixt=1,ntraciso
+      do ixt=1,ntiso
         call iso_verif_noNaN(xt_seri(ixt,i,k), &
      &     'physiq 2417: apres evap tot')
@@ -136,13 +136,13 @@
 
 #ifdef ISO
-         do ixt=1,ntraciso
+         do ixt=1,ntiso
             zb = MAX(0.0,xtl_seri(ixt,i,k)+xts_seri(ixt,i,k))
             d_xt_eva(ixt,i,k) = zb
             d_xtl_eva(ixt,i,k) = -xtl_seri(ixt,i,k)
             d_xts_eva(ixt,i,k) = -xts_seri(ixt,i,k)
-         enddo ! do ixt=1,ntraciso
+         enddo
 
 #ifdef ISOVERIF
-      do ixt=1,ntraciso
+      do ixt=1,ntiso
       call iso_verif_noNaN(xt_seri(ixt,i,k), &
      &     'physiq 2417: apres evap tot')
Index: LMDZ6/trunk/libf/phylmdiso/surf_land_bucket_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/surf_land_bucket_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/surf_land_bucket_mod.F90	(revision 4143)
@@ -35,5 +35,5 @@
     USE indice_sol_mod
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso,niso
+    use infotrac_phy, ONLY: ntiso,niso
     USE isotopes_mod, ONLY: iso_eau, iso_HDO, iso_O18, iso_O17, &
         ridicule_qsol
@@ -69,6 +69,6 @@
     REAL, DIMENSION(klon), INTENT(IN)       :: swnet, lwnet
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)       :: xtprecip_rain, xtprecip_snow
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)       :: xtspechum    
+    REAL, DIMENSION(ntiso,klon), INTENT(IN) :: xtprecip_rain, xtprecip_snow
+    REAL, DIMENSION(ntiso,klon), INTENT(IN) :: xtspechum    
 #endif
 
@@ -91,9 +91,9 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l         
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)       :: xtevap
-    REAL, DIMENSION(klon), INTENT(OUT)       :: h1
-    REAL, DIMENSION(niso,klon), INTENT(OUT)       :: xtrunoff_diag
-    REAL, DIMENSION(klon), INTENT(OUT)       :: runoff_diag
-    REAL, DIMENSION(niso,klon), INTENT(IN)        :: Rland_ice
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT) :: xtevap
+    REAL, DIMENSION(klon),       INTENT(OUT) :: h1
+    REAL, DIMENSION(niso,klon),  INTENT(OUT) :: xtrunoff_diag
+    REAL, DIMENSION(klon),       INTENT(OUT) :: runoff_diag
+    REAL, DIMENSION(niso,klon),  INTENT(IN)  :: Rland_ice
 #endif
 
Index: LMDZ6/trunk/libf/phylmdiso/surf_land_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/surf_land_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/surf_land_mod.F90	(revision 4143)
@@ -61,5 +61,5 @@
     USE indice_sol_mod
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso,niso
+    use infotrac_phy, ONLY: ntiso,niso
     use isotopes_mod, ONLY: nudge_qsol, iso_eau
 #ifdef ISOVERIF
@@ -104,6 +104,6 @@
     REAL, DIMENSION(klon), INTENT(IN)       :: q2m, t2m
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)       :: xtprecip_rain, xtprecip_snow
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)       :: xtspechum
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)       :: xtprecip_rain, xtprecip_snow
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)       :: xtspechum
 #endif 
 
@@ -135,5 +135,5 @@
     REAL, DIMENSION(klon,nvm_lmdz), INTENT(OUT) :: height
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)      :: xtevap
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT)      :: xtevap
     REAL, DIMENSION(klon), INTENT(OUT)      :: h1
     REAL, DIMENSION(niso,klon), INTENT(OUT)      :: xtrunoff_diag
@@ -181,5 +181,5 @@
 !       write(*,*) 'surf_land 169: ok_veget=',ok_veget
         do i=1,knon
-         do ixt=1,ntraciso
+         do ixt=1,ntiso
            call iso_verif_noNaN(xtprecip_snow(ixt,i),'surf_land 146')
          enddo
Index: LMDZ6/trunk/libf/phylmdiso/surf_landice_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/surf_landice_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/surf_landice_mod.F90	(revision 4143)
@@ -37,5 +37,5 @@
 #ifdef ISO   
     USE fonte_neige_mod,  ONLY : xtrun_off_lic
-    USE infotrac_phy, ONLY : ntraciso,niso
+    USE infotrac_phy, ONLY : ntiso,niso
     USE isotopes_routines_mod, ONLY: calcul_iso_surf_lic_vectall
 #ifdef ISOVERIF
@@ -82,6 +82,6 @@
     REAL, DIMENSION(klon,nbsrf), INTENT(IN)       :: pctsrf
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)        :: xtprecip_rain, xtprecip_snow 
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)        :: xtspechum 
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)       :: xtprecip_rain, xtprecip_snow 
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)       :: xtspechum 
 #endif
 
@@ -129,5 +129,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)           :: runoff  !Land ice runoff
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)        :: xtevap     
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT)     :: xtevap     
 !    real, DIMENSION(niso,klon) :: xtrun_off_lic_0_diag ! est une variable globale de
 !    fonte_neige
Index: LMDZ6/trunk/libf/phylmdiso/surf_ocean_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/surf_ocean_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/surf_ocean_mod.F90	(revision 4143)
@@ -37,5 +37,5 @@
     USE indice_sol_mod, ONLY : nbsrf, is_oce
 #ifdef ISO
-  USE infotrac_phy, ONLY : ntraciso,niso
+  USE infotrac_phy, ONLY : ntraciso=>ntiso,niso
 #ifdef ISOVERIF
     USE isotopes_mod, ONLY: iso_eau,ridicule
Index: LMDZ6/trunk/libf/phylmdiso/surf_seaice_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/surf_seaice_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/surf_seaice_mod.F90	(revision 4143)
@@ -35,5 +35,5 @@
   USE indice_sol_mod
 #ifdef ISO
-  USE infotrac_phy, ONLY : ntraciso,niso
+  USE infotrac_phy, ONLY : ntiso,niso
 #endif
 
@@ -71,5 +71,5 @@
     REAL, DIMENSION(klon,nbsrf), INTENT(IN)  :: pctsrf
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)        :: xtprecip_rain, xtprecip_snow 
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)        :: xtprecip_rain, xtprecip_snow 
     REAL, DIMENSION(klon), INTENT(IN)        :: xtspechum
     REAL, DIMENSION(niso,klon), INTENT(IN)        :: Roce
@@ -101,5 +101,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: flux_u1, flux_v1
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)        :: xtevap  
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT)        :: xtevap  
 #endif
 
Index: LMDZ6/trunk/libf/phylmdiso/wake.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/wake.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/wake.F90	(revision 4143)
@@ -34,5 +34,5 @@
   USE print_control_mod, ONLY: prt_level
 #ifdef ISO
-  USE infotrac_phy, ONLY : ntraciso
+  USE infotrac_phy, ONLY : ntraciso=>ntiso
 #ifdef ISOVERIF
   USE isotopes_verif_mod
